### Method

# Camel StoreDB write_message

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_db_write_message (
      CamelStoreDB* self,
      const gchar* folder_name,
      const CamelStoreDBMessageRecord* record,
      GError** error
    )

#### Description [src]

Writes information about a single message into the `self`. The message in the `record` is identified by the `folder_name` argument and the “uid” member of the structure. The “folder_id” member of the `record` is ignored.

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  A folder name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`record`

  Type: `CamelStoreDBMessageRecord`

  A `CamelStoreDBMessageRecord`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.